# Generated from bixby-3.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bixby

Name: rubygem-%{gem_name}
Version: 3.0.2
Release: 1%{?dist}
Summary: This is the recommended style configuration for use by Samvera Community projects
License: Apache-2.0
URL: http://github.com/samvera-labs/bixby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(github_changelog_generator)
BuildArch: noarch

%description
A Style Configuration for RuboCop.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.circleci
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE
%{gem_instdir}/SUPPORT.md
%{gem_instdir}/bixby_default.yml
%{gem_instdir}/bixby_rails_enabled.yml
%{gem_instdir}/bixby_rspec_enabled.yml
%{gem_instdir}/logo
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.github_changelog_generator
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/bixby.gemspec

%changelog
* Sun Sep 12 2021 mockbuilder - 3.0.2-1
- Initial package
